## ironic 20.1.3

=== debian/changelog ===
ironic (1:20.1.3-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - Fix_compatibility_with_jsonschema_4.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 07 Nov 2025 09:26:26 +0000

ironic (1:20.1.0-2) unstable; urgency=medium

  * Add Fix_compatibility_with_jsonschema_4.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jul 2022 20:55:13 +0200

ironic (1:20.1.0-1) unstable; urgency=medium

  * Fix min version of python3-proliantutils in (build-)depends.
  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:32:01 +0100

ironic (1:20.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version of python3-sushy in (build-)depends.
  * Add autopkgtest.
  * Removed Fix_Mock_objects_as_specs.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Feb 2022 16:44:51 +0100

ironic (1:18.2.0-3) unstable; urgency=medium

  * Add Fix_Mock_objects_as_specs.patch (Closes: #1002407).
  * Blacklist 2 remaining failing tests, which I couldn't rebase properly to
    Xena. It's ok because it's very likely only unit test brokeness, and
    Ironic is still working:
    - test_show_makes_datetimes
    - test__commit_raid_config_with_logical_drives

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 09:21:01 +0100

ironic (1:18.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix oslo-config-generator namespace list.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 10:12:38 +0200

ironic (1:18.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 11:06:58 +0200

ironic (1:18.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 09:38:57 +0200
