=== debian/changelog ===
ironic (1:21.1.0-3) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 13:48:42 +0200

ironic (1:21.1.0-2) unstable; urgency=medium

  * Add py3.11_fix_unit_tests.patch (Closes: #1024783).

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Dec 2022 14:02:25 +0100

ironic (1:21.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Min version of python3-sushy is 4.3.0.
  * Drop Fix_compatibility_with_oslo.db_12.1.0.patch.
  * Blacklist PXEAnacondaDeployTestCase.test_reboot_to_instance().

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 23:35:29 +0200

ironic (1:21.0.0-3) experimental; urgency=medium

  * Fix namespace list when generating the config file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 13:16:25 +0200

ironic (1:21.0.0-2) experimental; urgency=medium

  * Add Fix_compatibility_with_oslo.db_12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 14:35:23 +0200

ironic (1:21.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_compatibility_with_jsonschema_4.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 21:28:41 +0200
