=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -32,11 +32,11 @@
  python3-ironic-inspector-client,
  python3-ironic-lib (>= 4.6.1),
  python3-iso8601,
- python3-jinja2,
+ python3-jinja2 (>= 3.0.0),
  python3-jsonpatch,
  python3-jsonschema,
  python3-keystoneauth1,
- python3-keystonemiddleware,
+ python3-keystonemiddleware (>= 9.5.0),
  python3-mysqldb,
  python3-openstackdocstheme <!nodoc>,
  python3-openstacksdk,
@@ -72,7 +72,7 @@
  python3-requests,
  python3-tenacity,
  python3-rfc3986,
- python3-scciclient,
+ python3-scciclient (>= 0.12.2),
  python3-sphinxcontrib-pecanwsme <!nodoc>,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-sphinxcontrib.seqdiag <!nodoc>,
@@ -80,7 +80,7 @@
  python3-sqlalchemy,
  python3-stestr,
  python3-stevedore,
- python3-sushy (>= 3.10.0),
+ python3-sushy (>= 4.3.0),
  python3-swiftclient,
  python3-testtools,
  python3-tooz,
@@ -200,11 +200,11 @@
  python3-glanceclient,
  python3-ironic-inspector-client,
  python3-ironic-lib (>= 4.6.1),
- python3-jinja2,
+ python3-jinja2 (>= 3.0.0),
  python3-jsonpatch,
  python3-jsonschema,
  python3-keystoneauth1,
- python3-keystonemiddleware,
+ python3-keystonemiddleware (>= 9.5.0),
  python3-openstacksdk,
  python3-os-traits,
  python3-oslo.concurrency,
@@ -236,7 +236,7 @@
  python3-rfc3986,
  python3-sqlalchemy,
  python3-stevedore,
- python3-sushy (>= 3.10.0),
+ python3-sushy (>= 4.3.0),
  python3-swiftclient,
  python3-tooz,
  python3-tz,
@@ -246,7 +246,7 @@
 Conflicts:
  python3-cjson,
 Recommends:
- python3-scciclient,
+ python3-scciclient (>= 0.12.2),
 Description: bare metal hypervisor API for OpenStack - Python lib
  Ironic provision bare metal machines instead of virtual machines. It is a fork
  of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
