## ironic 21.4.0

=== debian/changelog ===
ironic (1:21.4.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1046505).
  * Blacklist test_port_changed_client_id.*.
  * Ran debconf-updatepo.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 00:39:12 +0200

ironic (1:21.4.0-3) unstable; urgency=medium

  * Fix correct value for pybasedir (ie: dist-packages, not site-packages).
  * Add fix-initial_grub_cfg.template.patch.
  * Uploading to unstable.
  * Blacklist test_pxe_utils.TestPXEUtils.test_place_common_config.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 12:33:38 +0200

ironic (1:21.4.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 16:36:50 +0200

ironic (1:21.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump python3-ironic-lib min version.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 09:11:31 +0100

ironic (1:21.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in Bookworm.
  * Fixed (build-)depends for this release.
  * Removed py3.11_fix_unit_tests.patch applied upstream.
  * Switched to debhelper-compat = 11.
  * Removed --with systemd.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 09:38:52 +0100
