=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 123~),
  po-debconf,
@@ -30,13 +30,13 @@
  python3-glanceclient,
  python3-hacking,
  python3-ironic-inspector-client,
- python3-ironic-lib (>= 4.6.1),
+ python3-ironic-lib (>= 5.4.0),
  python3-iso8601,
- python3-jinja2 (>= 3.0.0),
+ python3-jinja2,
  python3-jsonpatch,
  python3-jsonschema,
  python3-keystoneauth1,
- python3-keystonemiddleware (>= 9.5.0),
+ python3-keystonemiddleware,
  python3-mysqldb,
  python3-openstackdocstheme <!nodoc>,
  python3-openstacksdk,
@@ -45,23 +45,23 @@
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
- python3-oslo.db (>= 9.1.0),
+ python3-oslo.db,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.7.0),
+ python3-oslo.policy,
  python3-oslo.reports,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
  python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-oslotest,
  python3-osprofiler,
  python3-pecan,
  python3-pil,
- python3-proliantutils (>= 2.13.0),
+ python3-proliantutils,
  python3-psutil,
  python3-psycopg2,
  python3-pycdlib,
@@ -72,7 +72,7 @@
  python3-requests,
  python3-tenacity,
  python3-rfc3986,
- python3-scciclient (>= 0.12.2),
+ python3-scciclient,
  python3-sphinxcontrib-pecanwsme <!nodoc>,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-sphinxcontrib.seqdiag <!nodoc>,
@@ -80,7 +80,7 @@
  python3-sqlalchemy,
  python3-stestr,
  python3-stevedore,
- python3-sushy (>= 4.3.0),
+ python3-sushy,
  python3-swiftclient,
  python3-testtools,
  python3-tooz,
@@ -106,7 +106,6 @@
  q-text-as-data,
  uwsgi-plugin-python3,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: bare metal hypervisor API for OpenStack - API server
  Ironic provision bare metal machines instead of virtual machines. It is a fork
@@ -129,7 +128,6 @@
  sqlite3,
  sudo,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: bare metal hypervisor API for OpenStack - common files
  Ironic provision bare metal machines instead of virtual machines. It is a fork
@@ -153,7 +151,6 @@
  tftpd-hpa,
  xinetd,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Suggests:
  syslinux,
@@ -199,32 +196,32 @@
  python3-futurist,
  python3-glanceclient,
  python3-ironic-inspector-client,
- python3-ironic-lib (>= 4.6.1),
- python3-jinja2 (>= 3.0.0),
+ python3-ironic-lib (>= 5.4.0),
+ python3-jinja2,
  python3-jsonpatch,
  python3-jsonschema,
  python3-keystoneauth1,
- python3-keystonemiddleware (>= 9.5.0),
+ python3-keystonemiddleware,
  python3-openstacksdk,
  python3-os-traits,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
- python3-oslo.db (>= 9.1.0),
+ python3-oslo.db,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.7.0),
+ python3-oslo.policy,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
  python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-osprofiler,
  python3-pbr,
  python3-pecan,
- python3-proliantutils (>= 2.13.0),
+ python3-proliantutils,
  python3-psutil,
  python3-psycopg2,
  python3-pycdlib,
@@ -236,7 +233,7 @@
  python3-rfc3986,
  python3-sqlalchemy,
  python3-stevedore,
- python3-sushy (>= 4.3.0),
+ python3-sushy,
  python3-swiftclient,
  python3-tooz,
  python3-tz,
