## ironic 21.4.4

=== debian/changelog ===
ironic (1:21.4.4-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.
  * Add qemu-utils as build-depends.
  * CVE-2025-44021: Ironic fails to restrict paths used for file:// image URLs.
    Add upstream patch: OSSA-2025-001_Disallow+unsafe_image_file_paths.patch.
    (Closes: #1104964).

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Mon, 12 May 2025 08:09:29 +0000
