=== debian/control ===
--- 
+++ 
@@ -87,6 +87,7 @@
  python3-tz,
  python3-webob,
  python3-webtest,
+ qemu-utils,
 Build-Conflicts:
  python-pysqlite2,
 Standards-Version: 4.4.1
