## ironic 23.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,15 +6,15 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr>=3.1.1 # Apache-2.0
-SQLAlchemy>=1.2.19 # MIT
+SQLAlchemy>=1.4.0 # MIT
 alembic>=1.4.2 # MIT
 automaton>=1.9.0 # Apache-2.0
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+eventlet>=0.30.1 # MIT
 WebOb>=1.7.1 # MIT
 python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 keystoneauth1>=4.2.0 # Apache-2.0
-ironic-lib>=4.6.1 # Apache-2.0
+ironic-lib>=5.5.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 pytz>=2013.6 # MIT
 stevedore>=1.29.0 # Apache-2.0
@@ -39,8 +39,8 @@
 jsonpatch!=1.20,>=1.16 # BSD
 Jinja2>=3.0.0 # BSD License (3 clause)
 keystonemiddleware>=9.5.0 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
-tenacity>=6.2.0  # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
+tenacity>=6.3.1  # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 jsonschema>=3.2.0 # MIT
 psutil>=3.2.2 # BSD
