=== debian/changelog ===
ironic (1:23.0.0-0ubuntu3~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 11 Oct 2023 22:11:27 +0000

ironic (1:23.0.0-0ubuntu3) mantic; urgency=medium

  * d/control: Revert back to python3-pysnmp4 (Build-)Depends
    to prevent dependency conflicts in Mantic (LP: #2039055).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Oct 2023 09:44:41 -0400

ironic (1:23.0.0-0ubuntu2) mantic; urgency=medium

  * d/control: BD on latest python3-scciclient to fix autopkgtest failures.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Oct 2023 14:10:34 -0400

ironic (1:23.0.0-0ubuntu1) mantic; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 10:27:14 -0400

ironic (1:22.1.0+git2023090714.985c7fdf-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/install-missing-db-files.patch: Install missing db files, including
    ironic/db/sqlalchemy/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:20:03 -0400

ironic (1:22.0.0+git2023071214.416ea871-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:23:50 -0400

ironic (1:22.0.0+git2023061415.ce1abd40-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/p/CVE-2023-2088.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:02:38 -0400

ironic (1:21.4.0-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088.patch: Fix Cinder Integration
      fallout from CVE-2023-2088
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 14:42:54 -0400

ironic (1:21.4.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 08:52:23 -0400

ironic (1:21.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Feb 2023 16:50:39 -0500

ironic (1:21.2.0+git2023011311.895ba325-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-test-py310.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Jan 2023 11:11:54 -0500

ironic (1:21.1.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 21.x.
  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:53:09 -0400

ironic (1:21.0.0+git2022091212.a171e588f-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:53:32 -0400

ironic (1:20.2.0+git2022071414.0c4401cfb-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/ironic-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:07:21 -0400

ironic (1:20.2.0+git2022060209.34afea3af-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:53:55 -0400
